<script lang="ts">
    import Button from '$components/Button.svelte'
    import type { District } from '$utils/API/Planet.type'
    import user from '$lib/user'
    import SelectedPanel from './SelectedPanel.svelte'

    export let district: District
    $: mine = district.owner === $user.username
</script>

<SelectedPanel on:cancel>
    <h2>District {district.name}</h2>
    <div class="owner">
        <h3>Owner</h3>
        <p>
            This district is owned by <strong>{district.owner}</strong> from the
            <strong>{district.faction}</strong>.
        </p>
    </div>

    <h3>
        Coordinates: {district.x}, {district.y}
    </h3>

    {#if mine}
        <Button href="/game/district-{district.id}">Enter</Button>
    {/if}
</SelectedPanel>

<style lang="postcss">
    h3 {
        @apply text-xl font-semibold px-1 mb-1
        flex items-center gap-x-1
        bg-gradient-to-r from-fuchsia-200 to-indigo-200
        dark:from-fuchsia-900 dark:to-indigo-900;
        clip-path: polygon(calc(100% - 0.1rem) 0, 100% 100%, 0.1rem 100%, 0 0);
    }
    h2 {
        @apply font-bold text-2xl;
    }
    .owner {
        @apply space-y-4;
    }
</style>
